image: jangrewe/gitlab-ci-android

variables:
  ANDROID_BUILD_TOOLS: "26.0.2"
  ANDROID_TARGET_SDK: "26"
  #ANDROID_SDK_TOOLS: "25.1.7" # not implemented

before_script:
  - chmod +x ./gradlew
  - bash -c '(while [ 1 ]; do sleep 5; echo y; done) | ${ANDROID_HOME}/tools/android update sdk -u -a -t "build-tools-${ANDROID_BUILD_TOOLS},android-${ANDROID_TARGET_SDK}" ; exit 0'

stages:
  - build

release:
  stage: build
  script:
    - ./gradlew assembleRelease
  artifacts:
    paths:
    - app/build/outputs/apk/app-release-unsigned.apk
